    // segments of BART lines
    // for example, Bay Point to Colma is made up of Bay Point-MacArthur,
    // MacArthur-below 12th St., and below 12th St. to Colma segments
class Bsegment
{
  int npixels ;	// number of pixels
  int x[] ;		// x values
  int y[] ;		// y values
  int slp[] ;		// codes for slope
  int nstations ;	// number of stations
  int stx[] ;		// station location (segments only)
  int sty[] ;

  Bsegment(SchedReader s, int which)
  {
      //  number of pixels in segment
    npixels = s.iget() ;
      //  number of stations in segment
    nstations = s.iget() ;
    x = new int[npixels] ;
    y = new int[npixels] ;
    slp = new int[npixels] ;
      //  location of first pixel in segment
    x[0] = s.iget() ;
    y[0] = s.iget() ;
      //  get x values for segment
    s.decode_runs(which, npixels, x, 1, true, true) ;
      //  get y values for segment
    s.decode_runs(which, npixels, y, 1, true, true) ;
      //  get slopes for each pixel in segment
    s.decode_runs(which, npixels, slp, 0, false, false) ;
      //  locations of stations in segment
    stx = new int[nstations] ;
    sty = new int[nstations] ;
    for (int j = 0 ; j < nstations ;j++)
    {
      stx[j] = s.iget() ;
      sty[j] = s.iget() ;
    }
  }
}
