import java.awt.*;


class TransitInfo
{
  int lineid ;		// id
  int numTrains ;
  int prevNumTrains ;
  boolean updateTrainNum = true;   //  redisplay number-of-trains-running info
  String lineName ;
  int numLabelX = 20;
  int stringLabelX = 60;
  int labelY;
  static Color colors[] = new Color[5];


  TransitInfo(int which)
  {
    lineid = which;
    setInfo(lineid);
  }


  static void setColors()
  {
    colors[0] = new Color(0,152,182);
    colors[1] = Color.yellow;
    colors[2] = Color.orange;
    colors[3] = Color.red;
    colors[4] = Color.green;
  }


  void setInfo(int lineid)
  {
    switch(lineid)
    {                
      case 0:
        lineName = "Dublin-Daly City";
        labelY = 40;
        break ;
      case 1:
        lineName = "Bay Point-Colma";
        labelY = 60;
        break ;
      case 2:
        lineName = "Richmond-Fremont";
        labelY = 80;
        break ;
      case 3:
        lineName = "Richmond-Colma";
        labelY = 100;
        break ;
      case 4:
        lineName = "Fremont-Daly City";
        labelY = 120;
        break ;
    } ;
  }

  void paint(Graphics g, boolean redrawBackground)
  {
    if (redrawBackground)
    {
        // set background of train number display to line color
      g.setColor(colors[lineid]);
      g.fillRect(numLabelX,labelY-10,18,10);
    }
      // if number of trains running has changed
    if (updateTrainNum || redrawBackground)
    {
      String tmp_str;

        // set background of train number display to line color
      g.setColor(colors[lineid]);
      tmp_str = Integer.toString(prevNumTrains) ;
      if (prevNumTrains < 10)
        tmp_str = " " + tmp_str ;
      g.drawString(tmp_str,numLabelX,labelY) ;
      prevNumTrains = numTrains ;
        // display latest train numbers data
      g.setColor(Color.black) ;
      tmp_str = Integer.toString(numTrains) ;
      if (numTrains < 10)
        tmp_str = " " + tmp_str ;
      g.drawString(tmp_str,numLabelX,labelY) ;
      g.drawString(lineName,stringLabelX,labelY);
      updateTrainNum = false ;
    }
  }


        //  update number of trains running, and indicate
	//  that train number information should be redisplayed
  void incr_train_num(int val)
  {
    numTrains += val;
    updateTrainNum = true;
  }


  void reset_train_num()
  {
    numTrains = 0;
    updateTrainNum = true;
  }
}

